<template>
  <div>
    <v-app-bar height="30">
      <v-tooltip bottom>
        <template v-slot:activator="{ on }">
          <v-btn icon color="red" v-on="on">
            <v-icon @click="itemTab.clearOutError(itemTab)"
              >mdi-pencil-box-outline</v-icon
            >
          </v-btn>
        </template>
        <span>Limpiar errores</span>
      </v-tooltip>
    </v-app-bar>
    <v-card tile elevation="0">
      <v-card-text
        ><span class="console">{{ itemTab.outError }}</span></v-card-text
      >
    </v-card>
  </div>
</template>
<style scoped>
@import "../../../assets/css/lucida-console.css";
.console {
  font-family: "Lucida Console", arial;
}
</style>
<script>
export default {
  name: "Component-Error",
  props: {
    itemTab: Object
  }
};
</script>
